<?php 

// +------------------------------------------------------------------+
// | Package Information                                              |
// +------------------------------------------------------------------+

/**
 * @package     EuropaCart
 * @subpackage  Components
 * @copyright   Copyright 1999-Present Kryptronic, Inc.  All rights reserved.
 * @link        http://www.kryptronic.com
 * @license     GNU/GPL
*/

// +------------------------------------------------------------------+
// | Package                                                          |
// +------------------------------------------------------------------+

// +--
// | No direct access.
// +--

defined('_JEXEC') or die ('Restricted access');

// +--
// | Require the base controller.
// +--

require_once(JPATH_COMPONENT . DS . 'controller.php');

// +--
// | Require specific controller if requested.
// +--

$controller = JRequest::getWord('controller');

if (!(empty($controller))) {

     $path = JPATH_COMPONENT . DS . 'controllers' . DS . $controller . '.php';
     if (file_exists($path)) {require_once $path;}

} else {

     $controller = '';

} // End of if statement.

// +--
// | Create and execute the controller.
// +--

$classname   = 'EuropaCartController' . $controller;
$controller  = new $classname();
$task        = JRequest::getVar('task');

$controller->execute($task);

// +--
// | Redirect if set by the controller.
// +--

$controller->redirect();

// +------------------------------------------------------------------+
// | End Of File                                                      |
// +------------------------------------------------------------------+

?>
